from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from netty_snmp._types import DeviceType

HUAWEI_DEVICE_TYPES: dict[str, "DeviceType"] = {
    ".1.3.6.1.4.1.2011.1.1.1.11812": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-12"},
    ".1.3.6.1.4.1.2011.1.1.1.11813": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-13"},
    ".1.3.6.1.4.1.2011.1.1.1.11815": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-15"},
    ".1.3.6.1.4.1.2011.1.1.1.11816": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-16"},
    ".1.3.6.1.4.1.2011.1.1.1.12809": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR28-09"},
    ".1.3.6.1.4.1.2011.1.1.1.12810": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR28-10"},
    ".1.3.6.1.4.1.2011.1.1.1.12811": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR28-11-59"},
    ".1.3.6.1.4.1.2011.1.1.1.12830": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR28-30"},
    ".1.3.6.1.4.1.2011.1.1.1.12831": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR28-31"},
    ".1.3.6.1.4.1.2011.1.1.1.12840": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR28-40"},
    ".1.3.6.1.4.1.2011.1.1.1.12880": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR28-80"},
    ".1.3.6.1.4.1.2011.1.1.1.1600": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R1600",
    },
    ".1.3.6.1.4.1.2011.1.1.1.1602": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R1602",
    },
    ".1.3.6.1.4.1.2011.1.1.1.1612": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R1612",
    },
    ".1.3.6.1.4.1.2011.1.1.1.1613": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R1613",
    },
    ".1.3.6.1.4.1.2011.1.1.1.1614": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R1614",
    },
    ".1.3.6.1.4.1.2011.1.1.1.1615": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R1615",
    },
    ".1.3.6.1.4.1.2011.1.1.1.1760": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R1760",
    },
    ".1.3.6.1.4.1.2011.1.1.1.1761": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R1760B",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE R2611"},
    ".1.3.6.1.4.1.2011.1.1.1.2501": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2501",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2509": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2509",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2511": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2511",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2601": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2501E",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2606": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R4001E",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2608": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2509E",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2609": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2511E",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2610": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2610",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2611": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2611",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2620": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2620",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2621": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2621",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2630": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2630E",
    },
    ".1.3.6.1.4.1.2011.1.1.1.2631": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R2631E",
    },
    ".1.3.6.1.4.1.2011.1.1.1.3640": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R3640E",
    },
    ".1.3.6.1.4.1.2011.1.1.1.3680": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R3680E",
    },
    ".1.3.6.1.4.1.2011.1.1.1.4001": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R4001",
    },
    ".1.3.6.1.4.1.2011.10.1.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2008-EI"},
    ".1.3.6.1.4.1.2011.10.1.10": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3928P-SI"},
    ".1.3.6.1.4.1.2011.10.1.100": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5624F"},
    ".1.3.6.1.4.1.2011.10.1.101": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3224P"},
    ".1.3.6.1.4.1.2011.10.1.102": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3226T"},
    ".1.3.6.1.4.1.2011.10.1.103": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3226P"},
    ".1.3.6.1.4.1.2011.10.1.104": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3250T"},
    ".1.3.6.1.4.1.2011.10.1.105": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3250P"},
    ".1.3.6.1.4.1.2011.10.1.106": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3108T"},
    ".1.3.6.1.4.1.2011.10.1.107": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3116T"},
    ".1.3.6.1.4.1.2011.10.1.108": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3126T"},
    ".1.3.6.1.4.1.2011.10.1.109": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3108C"},
    ".1.3.6.1.4.1.2011.10.1.11": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3952P-SI"},
    ".1.3.6.1.4.1.2011.10.1.110": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3116C"},
    ".1.3.6.1.4.1.2011.10.1.111": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3126C"},
    ".1.3.6.1.4.1.2011.10.1.112": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR28-12B"},
    ".1.3.6.1.4.1.2011.10.1.113": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C SECBLADE IDS"},
    ".1.3.6.1.4.1.2011.10.1.114": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C SECBLADE IPS"},
    ".1.3.6.1.4.1.2011.10.1.115": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECENGINE D500"},
    ".1.3.6.1.4.1.2011.10.1.116": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3928TP-V6"},
    ".1.3.6.1.4.1.2011.10.1.117": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3928P-V6"},
    ".1.3.6.1.4.1.2011.10.1.118": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3952P-V6"},
    ".1.3.6.1.4.1.2011.10.1.119": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3928F-V6"},
    ".1.3.6.1.4.1.2011.10.1.12": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3928TP-SI"},
    ".1.3.6.1.4.1.2011.10.1.120": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C S5524P"},
    ".1.3.6.1.4.1.2011.10.1.121": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C S5524F"},
    ".1.3.6.1.4.1.2011.10.1.122": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C XE-7000"},
    ".1.3.6.1.4.1.2011.10.1.123": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C VG10-40"},
    ".1.3.6.1.4.1.2011.10.1.124": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C VG10-41"},
    ".1.3.6.1.4.1.2011.10.1.125": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C VG20-16"},
    ".1.3.6.1.4.1.2011.10.1.126": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C VG20-32"},
    ".1.3.6.1.4.1.2011.10.1.127": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C VG20-08L"},
    ".1.3.6.1.4.1.2011.10.1.128": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C VG80-20"},
    ".1.3.6.1.4.1.2011.10.1.129": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C VG80-20T"},
    ".1.3.6.1.4.1.2011.10.1.13": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3928P-EI"},
    ".1.3.6.1.4.1.2011.10.1.130": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C S2008CT"},
    ".1.3.6.1.4.1.2011.10.1.131": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C S2008CP"},
    ".1.3.6.1.4.1.2011.10.1.132": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C SECBLADEFW"},
    ".1.3.6.1.4.1.2011.10.1.133": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C SECBLADEVPN"},
    ".1.3.6.1.4.1.2011.10.1.134": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C SECENGINED200"},
    ".1.3.6.1.4.1.2011.10.1.135.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C IX5000"},
    ".1.3.6.1.4.1.2011.10.1.136": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C SJW59"},
    ".1.3.6.1.4.1.2011.10.1.137": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C VG21-08"},
    ".1.3.6.1.4.1.2011.10.1.138": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR19-61"},
    ".1.3.6.1.4.1.2011.10.1.139": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR19-62"},
    ".1.3.6.1.4.1.2011.10.1.14": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3952P-EI"},
    ".1.3.6.1.4.1.2011.10.1.140": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR29-01"},
    ".1.3.6.1.4.1.2011.10.1.141": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR29-21"},
    ".1.3.6.1.4.1.2011.10.1.142": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR29-41"},
    ".1.3.6.1.4.1.2011.10.1.143": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR29-61"},
    ".1.3.6.1.4.1.2011.10.1.144": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR49-45"},
    ".1.3.6.1.4.1.2011.10.1.145": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR49-65"},
    ".1.3.6.1.4.1.2011.10.1.146": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C S5112P-EI"},
    ".1.3.6.1.4.1.2011.10.1.147": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C S5113C-EI"},
    ".1.3.6.1.4.1.2011.10.1.148": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C S5228C"},
    ".1.3.6.1.4.1.2011.10.1.149": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C S5252C"},
    ".1.3.6.1.4.1.2011.10.1.15": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3928P-PWR-EI"},
    ".1.3.6.1.4.1.2011.10.1.150": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C S5228C-PWR"},
    ".1.3.6.1.4.1.2011.10.1.151": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C 5252C-PWR"},
    ".1.3.6.1.4.1.2011.10.1.152": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2008-HI"},
    ".1.3.6.1.4.1.2011.10.1.153": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2016-HI"},
    ".1.3.6.1.4.1.2011.10.1.154": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2403H-HI"},
    ".1.3.6.1.4.1.2011.10.1.155": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY VG3108"},
    ".1.3.6.1.4.1.2011.10.1.156": {"manufacturer": "Huawei", "platform": "huawei", "model": "S8508V"},
    ".1.3.6.1.4.1.2011.10.1.157": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY E126"},
    ".1.3.6.1.4.1.2011.10.1.158": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3126TP"},
    ".1.3.6.1.4.1.2011.10.1.159": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY E328"},
    ".1.3.6.1.4.1.2011.10.1.16": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3952P-PWR-EI"},
    ".1.3.6.1.4.1.2011.10.1.160": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY E352"},
    ".1.3.6.1.4.1.2011.10.1.161": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3928P-PWR-SI"},
    ".1.3.6.1.4.1.2011.10.1.163": {"manufacturer": "Huawei", "platform": "huawei", "model": "S8502"},
    ".1.3.6.1.4.1.2011.10.1.164": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SR8802"},
    ".1.3.6.1.4.1.2011.10.1.166": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3352P-SI"},
    ".1.3.6.1.4.1.2011.10.1.167": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3328TP-SI"},
    ".1.3.6.1.4.1.2011.10.1.168": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3328P-PWR-SI"},
    ".1.3.6.1.4.1.2011.10.1.169": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3328P-EI"},
    ".1.3.6.1.4.1.2011.10.1.17": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3928F-EI"},
    ".1.3.6.1.4.1.2011.10.1.170": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3352P-EI"},
    ".1.3.6.1.4.1.2011.10.1.171": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3328P-PWR-EI"},
    ".1.3.6.1.4.1.2011.10.1.172": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3352P-PWR-EI"},
    ".1.3.6.1.4.1.2011.10.1.173": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3328F-EI"},
    ".1.3.6.1.4.1.2011.10.1.174": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6502ME"},
    ".1.3.6.1.4.1.2011.10.1.175": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5528C-EI"},
    ".1.3.6.1.4.1.2011.10.1.176": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5552C-EI"},
    ".1.3.6.1.4.1.2011.10.1.177": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5528C-PWR-EI"},
    ".1.3.6.1.4.1.2011.10.1.178": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5552C-PWR-EI"},
    ".1.3.6.1.4.1.2011.10.1.179": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5528F-EI"},
    ".1.3.6.1.4.1.2011.10.1.18": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5600M"},
    ".1.3.6.1.4.1.2011.10.1.180": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5528C-EI-DC"},
    ".1.3.6.1.4.1.2011.10.1.181": {"manufacturer": "Huawei", "platform": "huawei", "model": "E126-SI"},
    ".1.3.6.1.4.1.2011.10.1.182": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY DR814"},
    ".1.3.6.1.4.1.2011.10.1.183": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY DR814Q"},
    ".1.3.6.1.4.1.2011.10.1.184": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY WDR854G"},
    ".1.3.6.1.4.1.2011.10.1.185": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY VDR824G"},
    ".1.3.6.1.4.1.2011.10.1.186": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY VDR824"},
    ".1.3.6.1.4.1.2011.10.1.187": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY VDR744"},
    ".1.3.6.1.4.1.2011.10.1.188": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY DR744"},
    ".1.3.6.1.4.1.2011.10.1.19": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-50"},
    ".1.3.6.1.4.1.2011.10.1.192": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S8505 V5"},
    ".1.3.6.1.4.1.2011.10.1.193": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S8512 V5"},
    ".1.3.6.1.4.1.2011.10.1.194": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S8508 V5"},
    ".1.3.6.1.4.1.2011.10.1.195": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S8508V V5"},
    ".1.3.6.1.4.1.2011.10.1.196": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S8502 V5"},
    ".1.3.6.1.4.1.2011.10.1.198": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2008_EA"},
    ".1.3.6.1.4.1.2011.10.1.199": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2016TP EA"},
    ".1.3.6.1.4.1.2011.10.1.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2008-EI"},
    ".1.3.6.1.4.1.2011.10.1.20": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-33E"},
    ".1.3.6.1.4.1.2011.10.1.200": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2403TP EA"},
    ".1.3.6.1.4.1.2011.10.1.201": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2403TP PWR EA"},
    ".1.3.6.1.4.1.2011.10.1.202": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2008TP MI"},
    ".1.3.6.1.4.1.2011.10.1.203": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2016T MI"},
    ".1.3.6.1.4.1.2011.10.1.204": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2403-TP-MI"},
    ".1.3.6.1.4.1.2011.10.1.205": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S7802"},
    ".1.3.6.1.4.1.2011.10.1.206": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S7803"},
    ".1.3.6.1.4.1.2011.10.1.207": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S7806"},
    ".1.3.6.1.4.1.2011.10.1.208": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S7806 V"},
    ".1.3.6.1.4.1.2011.10.1.209": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S7810"},
    ".1.3.6.1.4.1.2011.10.1.21": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-34E"},
    ".1.3.6.1.4.1.2011.10.1.210": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2016TP PWR EA"},
    ".1.3.6.1.4.1.2011.10.1.211": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3552P-EA"},
    ".1.3.6.1.4.1.2011.10.1.212": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3528P EA1"},
    ".1.3.6.1.4.1.2011.10.1.213": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3528TP EA"},
    ".1.3.6.1.4.1.2011.10.1.214": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3528F EA"},
    ".1.3.6.1.4.1.2011.10.1.215": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3552F EA"},
    ".1.3.6.1.4.1.2011.10.1.216": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S6902"},
    ".1.3.6.1.4.1.2011.10.1.217": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S6903"},
    ".1.3.6.1.4.1.2011.10.1.218": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S6906"},
    ".1.3.6.1.4.1.2011.10.1.219": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S6906R"},
    ".1.3.6.1.4.1.2011.10.1.22": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S8508"},
    ".1.3.6.1.4.1.2011.10.1.220": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3928P SI ACDC"},
    ".1.3.6.1.4.1.2011.10.1.224": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY AR19-10"},
    ".1.3.6.1.4.1.2011.10.1.225": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY AR19-13"},
    ".1.3.6.1.4.1.2011.10.1.226": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY AR19-15"},
    ".1.3.6.1.4.1.2011.10.1.227": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3552P SI"},
    ".1.3.6.1.4.1.2011.10.1.228": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3528P SI"},
    ".1.3.6.1.4.1.2011.10.1.229": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5628C HI AC"},
    ".1.3.6.1.4.1.2011.10.1.23": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECPATH100N"},
    ".1.3.6.1.4.1.2011.10.1.230": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5628C HI DC"},
    ".1.3.6.1.4.1.2011.10.1.231": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5652C HI_AC"},
    ".1.3.6.1.4.1.2011.10.1.232": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5628F HI"},
    ".1.3.6.1.4.1.2011.10.1.233": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5628C PWR HI"},
    ".1.3.6.1.4.1.2011.10.1.234": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5652C PWR HI"},
    ".1.3.6.1.4.1.2011.10.1.235": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY LSQ1FWBSC1"},
    ".1.3.6.1.4.1.2011.10.1.236": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY LSQ1NSMSC1"},
    ".1.3.6.1.4.1.2011.10.1.237": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S7803L"},
    ".1.3.6.1.4.1.2011.10.1.238": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S6503 V5"},
    ".1.3.6.1.4.1.2011.10.1.239": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S6506 V5"},
    ".1.3.6.1.4.1.2011.10.1.24": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECPATH100V"},
    ".1.3.6.1.4.1.2011.10.1.240": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S6506R V5"},
    ".1.3.6.1.4.1.2011.10.1.241": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY AR19-03"},
    ".1.3.6.1.4.1.2011.10.1.242": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY AR19-05"},
    ".1.3.6.1.4.1.2011.10.1.243": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S7806 L"},
    ".1.3.6.1.4.1.2011.10.1.244": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY AR29-11"},
    ".1.3.6.1.4.1.2011.10.1.25": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECPATH100F"},
    ".1.3.6.1.4.1.2011.10.1.26": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECPATH1000F"},
    ".1.3.6.1.4.1.2011.10.1.27": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECPATH500F"},
    ".1.3.6.1.4.1.2011.10.1.28": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECPATH10F"},
    ".1.3.6.1.4.1.2011.10.1.29": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECPATH100FS"},
    ".1.3.6.1.4.1.2011.10.1.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2403H-EI"},
    ".1.3.6.1.4.1.2011.10.1.30": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECPATH100FE"},
    ".1.3.6.1.4.1.2011.10.1.4": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026-PWR"},
    ".1.3.6.1.4.1.2011.10.1.40": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C SR8805"},
    ".1.3.6.1.4.1.2011.10.1.41": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C SR8808"},
    ".1.3.6.1.4.1.2011.10.1.42": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C SR8812"},
    ".1.3.6.1.4.1.2011.10.1.43": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5624P"},
    ".1.3.6.1.4.1.2011.10.1.44": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5624P-PWR"},
    ".1.3.6.1.4.1.2011.10.1.45": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5648P"},
    ".1.3.6.1.4.1.2011.10.1.46": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5648P-PWR"},
    ".1.3.6.1.4.1.2011.10.1.47": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2008C"},
    ".1.3.6.1.4.1.2011.10.1.48": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2016C"},
    ".1.3.6.1.4.1.2011.10.1.49": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2024C"},
    ".1.3.6.1.4.1.2011.10.1.5": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECPATH 1000"},
    ".1.3.6.1.4.1.2011.10.1.50": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-13V"},
    ".1.3.6.1.4.1.2011.10.1.51": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-18V"},
    ".1.3.6.1.4.1.2011.10.1.52": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C ISPATH1000"},
    ".1.3.6.1.4.1.2011.10.1.53": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-20S"},
    ".1.3.6.1.4.1.2011.10.1.55": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C XE-200"},
    ".1.3.6.1.4.1.2011.10.1.56": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C XE-2000"},
    ".1.3.6.1.4.1.2011.10.1.57": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C E026T"},
    ".1.3.6.1.4.1.2011.10.1.58": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY E008-FE"},
    ".1.3.6.1.4.1.2011.10.1.59": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY E017-FE"},
    ".1.3.6.1.4.1.2011.10.1.6": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-35"},
    ".1.3.6.1.4.1.2011.10.1.60": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY E026-FE"},
    ".1.3.6.1.4.1.2011.10.1.61": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR28-12"},
    ".1.3.6.1.4.1.2011.10.1.62": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR28-13"},
    ".1.3.6.1.4.1.2011.10.1.63": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR28-14"},
    ".1.3.6.1.4.1.2011.10.1.64": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-10"},
    ".1.3.6.1.4.1.2011.10.1.65": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-21"},
    ".1.3.6.1.4.1.2011.10.1.66": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-21A"},
    ".1.3.6.1.4.1.2011.10.1.67": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-21B"},
    ".1.3.6.1.4.1.2011.10.1.68": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-21C"},
    ".1.3.6.1.4.1.2011.10.1.69": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-22"},
    ".1.3.6.1.4.1.2011.10.1.7": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3552F-HI"},
    ".1.3.6.1.4.1.2011.10.1.70": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-22-8"},
    ".1.3.6.1.4.1.2011.10.1.71": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-22-24"},
    ".1.3.6.1.4.1.2011.10.1.72": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-23-1"},
    ".1.3.6.1.4.1.2011.10.1.73": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-30E"},
    ".1.3.6.1.4.1.2011.10.1.74": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-31E"},
    ".1.3.6.1.4.1.2011.10.1.75": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-32E"},
    ".1.3.6.1.4.1.2011.10.1.76": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-35E"},
    ".1.3.6.1.4.1.2011.10.1.77": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-36E"},
    ".1.3.6.1.4.1.2011.10.1.78": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-37E"},
    ".1.3.6.1.4.1.2011.10.1.79": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-52"},
    ".1.3.6.1.4.1.2011.10.1.8": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECPATH 10"},
    ".1.3.6.1.4.1.2011.10.1.80": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S6500"},
    ".1.3.6.1.4.1.2011.10.1.81": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5124P-EI"},
    ".1.3.6.1.4.1.2011.10.1.82": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5126C-EI"},
    ".1.3.6.1.4.1.2011.10.1.83": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5148P-EI"},
    ".1.3.6.1.4.1.2011.10.1.84": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5150C-EI"},
    ".1.3.6.1.4.1.2011.10.1.85": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5116P-SI"},
    ".1.3.6.1.4.1.2011.10.1.86": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5124P-SI"},
    ".1.3.6.1.4.1.2011.10.1.87": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5148P-SI"},
    ".1.3.6.1.4.1.2011.10.1.88": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR46-20E"},
    ".1.3.6.1.4.1.2011.10.1.89": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR46-40E"},
    ".1.3.6.1.4.1.2011.10.1.9": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3924-SI"},
    ".1.3.6.1.4.1.2011.10.1.90": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR46-80E"},
    ".1.3.6.1.4.1.2011.10.1.91": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-22S-8"},
    ".1.3.6.1.4.1.2011.10.1.92": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-23S-1"},
    ".1.3.6.1.4.1.2011.10.1.93": {"manufacturer": "Huawei", "platform": "huawei", "model": "H3C SECENGINEP500"},
    ".1.3.6.1.4.1.2011.10.1.94": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2108-SI"},
    ".1.3.6.1.4.1.2011.10.1.95": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2116-SI"},
    ".1.3.6.1.4.1.2011.10.1.96": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2126-SI"},
    ".1.3.6.1.4.1.2011.10.1.97": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2108-EI"},
    ".1.3.6.1.4.1.2011.10.1.98": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2116-EI"},
    ".1.3.6.1.4.1.2011.10.1.99": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2126-EI"},
    ".1.3.6.1.4.1.2011.2.1.1.10": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE40E-X16",
    },
    ".1.3.6.1.4.1.2011.2.1.1.5": {"manufacturer": "Huawei", "platform": "huawei", "model": "ATMBONE"},
    ".1.3.6.1.4.1.2011.2.109": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5606T"},
    ".1.3.6.1.4.1.2011.2.123": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5603T"},
    ".1.3.6.1.4.1.2011.2.138": {"manufacturer": "Huawei", "platform": "huawei", "model": "EUDEMON 8160E"},
    ".1.3.6.1.4.1.2011.2.17": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE NE80"},
    ".1.3.6.1.4.1.2011.2.170.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S9303"},
    ".1.3.6.1.4.1.2011.2.170.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S9306"},
    ".1.3.6.1.4.1.2011.2.170.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S9312"},
    ".1.3.6.1.4.1.2011.2.175.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "SECOSPACE USG2110-F"},
    ".1.3.6.1.4.1.2011.2.175.5": {"manufacturer": "Huawei", "platform": "huawei", "model": "USG2110-A-GW-W"},
    ".1.3.6.1.4.1.2011.2.2.1.7508": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE 08"},
    ".1.3.6.1.4.1.2011.2.2.1.7516": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE R7516",
    },
    ".1.3.6.1.4.1.2011.2.208.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-DPI"},
    ".1.3.6.1.4.1.2011.2.208.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE80E-DPI"},
    ".1.3.6.1.4.1.2011.2.208.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E80E-DPI SERVER"},
    ".1.3.6.1.4.1.2011.2.211.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-FW"},
    ".1.3.6.1.4.1.2011.2.211.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE80E-FW"},
    ".1.3.6.1.4.1.2011.2.220.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "ATN910"},
    ".1.3.6.1.4.1.2011.2.220.4": {"manufacturer": "Huawei", "platform": "huawei", "model": "ATN950"},
    ".1.3.6.1.4.1.2011.2.223.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "S7703"},
    ".1.3.6.1.4.1.2011.2.223.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "S7706"},
    ".1.3.6.1.4.1.2011.2.224.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR1220"},
    ".1.3.6.1.4.1.2011.2.224.10": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR206"},
    ".1.3.6.1.4.1.2011.2.224.100": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR2220E"},
    ".1.3.6.1.4.1.2011.2.224.101": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR3670"},
    ".1.3.6.1.4.1.2011.2.224.11": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR207"},
    ".1.3.6.1.4.1.2011.2.224.126": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR121"},
    ".1.3.6.1.4.1.2011.2.224.13": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR208E"},
    ".1.3.6.1.4.1.2011.2.224.130": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR1220E"},
    ".1.3.6.1.4.1.2011.2.224.132": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR161F"},
    ".1.3.6.1.4.1.2011.2.224.133": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR169FGW-L"},
    ".1.3.6.1.4.1.2011.2.224.147": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR1220C"},
    ".1.3.6.1.4.1.2011.2.224.294": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR6120"},
    ".1.3.6.1.4.1.2011.2.224.299": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR6300"},
    ".1.3.6.1.4.1.2011.2.224.300": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR6280"},
    ".1.3.6.1.4.1.2011.2.224.317": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR611W"},
    ".1.3.6.1.4.1.2011.2.224.319": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR617-VM"},
    ".1.3.6.1.4.1.2011.2.224.34": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR151G"},
    ".1.3.6.1.4.1.2011.2.224.347": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR6121E"},
    ".1.3.6.1.4.1.2011.2.224.5": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR2220"},
    ".1.3.6.1.4.1.2011.2.224.6": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR2240"},
    ".1.3.6.1.4.1.2011.2.224.7": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR3260"},
    ".1.3.6.1.4.1.2011.2.224.9": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR201"},
    ".1.3.6.1.4.1.2011.2.23.100": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5324TP-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.101": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5348TP-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.102": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5328C-SI"},
    ".1.3.6.1.4.1.2011.2.23.103": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5352C-SI"},
    ".1.3.6.1.4.1.2011.2.23.104": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5328C-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.105": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5352C-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.106": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5328C-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.107": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5352C-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.108": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2309TP-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.109": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2326TP-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.11": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S8016"},
    ".1.3.6.1.4.1.2011.2.23.11.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S8016"},
    ".1.3.6.1.4.1.2011.2.23.11.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "S8016B"},
    ".1.3.6.1.4.1.2011.2.23.110": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3328TP-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.111": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3352P-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.112": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3328TP-EI-MC"},
    ".1.3.6.1.4.1.2011.2.23.113": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3318TP-EI-MC"},
    ".1.3.6.1.4.1.2011.2.23.114": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-9TP-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.115": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-9TP-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.116": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-18TP-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.117": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-26TP-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.118": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-26TP-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.119": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-52TP-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.12": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3526"},
    ".1.3.6.1.4.1.2011.2.23.120": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-9TP-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.121": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-18TP-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.122": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-26TP-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.123": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-9TP-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.124": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-26TP-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.125": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-28TP-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.126": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-28TP-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.127": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-28TP-EI-24S-AC"},
    ".1.3.6.1.4.1.2011.2.23.128": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-52TP-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.129": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-52TP-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.13": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026"},
    ".1.3.6.1.4.1.2011.2.23.130": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-52TP-EI-24S-AC"},
    ".1.3.6.1.4.1.2011.2.23.131": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-52TP-EI-24S-DC"},
    ".1.3.6.1.4.1.2011.2.23.132": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-52TP-EI-48S-AC"},
    ".1.3.6.1.4.1.2011.2.23.133": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-52TP-EI-48S-DC"},
    ".1.3.6.1.4.1.2011.2.23.134": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-28TP-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.135": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-28TP-SI-DC"},
    ".1.3.6.1.4.1.2011.2.23.136": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-52TP-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.137": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-28TP-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.138": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-52TP-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.139": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-28TP-EI-MC-AC"},
    ".1.3.6.1.4.1.2011.2.23.14": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026V"},
    ".1.3.6.1.4.1.2011.2.23.140": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28C-EI"},
    ".1.3.6.1.4.1.2011.2.23.141": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28C-SI"},
    ".1.3.6.1.4.1.2011.2.23.142": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28C-EI-24S"},
    ".1.3.6.1.4.1.2011.2.23.143": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52C-EI"},
    ".1.3.6.1.4.1.2011.2.23.144": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52C-SI"},
    ".1.3.6.1.4.1.2011.2.23.145": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-24TP-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.146": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-24TP-SI-DC"},
    ".1.3.6.1.4.1.2011.2.23.147": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-48TP-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.148": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-48TP-SI-DC"},
    ".1.3.6.1.4.1.2011.2.23.149": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28C-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.15": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026V"},
    ".1.3.6.1.4.1.2011.2.23.150": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52C-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.151": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-24TP-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.152": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-48TP-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.153": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6324-EI"},
    ".1.3.6.1.4.1.2011.2.23.154": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6348C"},
    ".1.3.6.1.4.1.2011.2.23.155": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5328C-HI"},
    ".1.3.6.1.4.1.2011.2.23.156": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5328C-HI-24S"},
    ".1.3.6.1.4.1.2011.2.23.157": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5306TP-SI"},
    ".1.3.6.1.4.1.2011.2.23.158": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3326C-HI"},
    ".1.3.6.1.4.1.2011.2.23.159": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5328C-HI-24SA"},
    ".1.3.6.1.4.1.2011.2.23.16": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2016"},
    ".1.3.6.1.4.1.2011.2.23.160": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6700-24-EI"},
    ".1.3.6.1.4.1.2011.2.23.161": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6700-48-EI"},
    ".1.3.6.1.4.1.2011.2.23.162": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1728-GWR-4P"},
    ".1.3.6.1.4.1.2011.2.23.163": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28P-LI"},
    ".1.3.6.1.4.1.2011.2.23.164": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28P-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.165": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52P-LI"},
    ".1.3.6.1.4.1.2011.2.23.166": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52P-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.167": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28X-EI"},
    ".1.3.6.1.4.1.2011.2.23.168": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52X-EI"},
    ".1.3.6.1.4.1.2011.2.23.169": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28C-HI"},
    ".1.3.6.1.4.1.2011.2.23.17": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3526F"},
    ".1.3.6.1.4.1.2011.2.23.170": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28C-HI-24S"},
    ".1.3.6.1.4.1.2011.2.23.171": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-6TP-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.172": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-26C-HI"},
    ".1.3.6.1.4.1.2011.2.23.173": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-28C-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.174": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-52C-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.175": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5310-28P-LI"},
    ".1.3.6.1.4.1.2011.2.23.176": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5310-52P-LI"},
    ".1.3.6.1.4.1.2011.2.23.177": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28P-LI-DC"},
    ".1.3.6.1.4.1.2011.2.23.178": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52P-LI-DC"},
    ".1.3.6.1.4.1.2011.2.23.179": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5310-28P-LI-DC"},
    ".1.3.6.1.4.1.2011.2.23.18": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5516"},
    ".1.3.6.1.4.1.2011.2.23.180": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5310-52P-LI-DC"},
    ".1.3.6.1.4.1.2011.2.23.181": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700S-28P-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.182": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700S-52P-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.183": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1700-28GFR-4P-AC"},
    ".1.3.6.1.4.1.2011.2.23.184": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1700-52GFR-4P-AC"},
    ".1.3.6.1.4.1.2011.2.23.185": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1700-28FR-2T2P-AC"},
    ".1.3.6.1.4.1.2011.2.23.186": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1700-52FR-2T2P-AC"},
    ".1.3.6.1.4.1.2011.2.23.187": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28C-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.188": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52C-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.189": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5710-28C-PWR-LI"},
    ".1.3.6.1.4.1.2011.2.23.19": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S6506"},
    ".1.3.6.1.4.1.2011.2.23.190": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5710-52C-PWR-LI"},
    ".1.3.6.1.4.1.2011.2.23.191": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5710-28C-LI"},
    ".1.3.6.1.4.1.2011.2.23.192": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5710-52C-LI"},
    ".1.3.6.1.4.1.2011.2.23.194": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5710-28C-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.195": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5710-52C-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.196": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2710-26TP-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.197": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2710-52P-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.198": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2710-52P-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.199": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2700-52P-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.20": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026-FM/FS"},
    ".1.3.6.1.4.1.2011.2.23.200": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-52P-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.201": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-28TP-PWR-SI"},
    ".1.3.6.1.4.1.2011.2.23.202": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5710-108C-PWR-HI"},
    ".1.3.6.1.4.1.2011.2.23.203": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-10P-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.204": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-10P-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.205": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-26X-SI-12S-AC"},
    ".1.3.6.1.4.1.2011.2.23.206": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28X-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.207": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28X-LI-DC"},
    ".1.3.6.1.4.1.2011.2.23.208": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52X-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.209": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52X-LI-DC"},
    ".1.3.6.1.4.1.2011.2.23.21": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3526E"},
    ".1.3.6.1.4.1.2011.2.23.210": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28X-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.211": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52X-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.212": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5710-108C-HI-AC"},
    ".1.3.6.1.4.1.2011.2.23.213": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-10P-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.214": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5310-28C-EI"},
    ".1.3.6.1.4.1.2011.2.23.215": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5310-52C-EI"},
    ".1.3.6.1.4.1.2011.2.23.216": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-28X-LI-DC"},
    ".1.3.6.1.4.1.2011.2.23.217": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-28X-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.218": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28X-LI-24S-DC"},
    ".1.3.6.1.4.1.2011.2.23.219": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-28X-LI-24S-DC"},
    ".1.3.6.1.4.1.2011.2.23.22": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2206"},
    ".1.3.6.1.4.1.2011.2.23.220": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28X-LI-24S-AC"},
    ".1.3.6.1.4.1.2011.2.23.221": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-28X-LI-24S-AC"},
    ".1.3.6.1.4.1.2011.2.23.222": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2751-28TP-PWR-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.223": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2350-28TP-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.224": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2750-28TP-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.225": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2750-28TP-PWR-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.226": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2750-20TP-PWR-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.227": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2350-28TP-PWR-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.228": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2350-20TP-PWR-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.229": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2328P-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.23": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2403H"},
    ".1.3.6.1.4.1.2011.2.23.230": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3300-52P-EI"},
    ".1.3.6.1.4.1.2011.2.23.231": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1700-10GF-2P-PWR"},
    ".1.3.6.1.4.1.2011.2.23.232": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1700-28GFR-4P-PWR"},
    ".1.3.6.1.4.1.2011.2.23.233": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1700-52GFR-4P-PWR"},
    ".1.3.6.1.4.1.2011.2.23.234": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1700-28FR-2T2P-PWR"},
    ".1.3.6.1.4.1.2011.2.23.235": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1700-10GF-2P"},
    ".1.3.6.1.4.1.2011.2.23.236": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1700-24GR"},
    ".1.3.6.1.4.1.2011.2.23.237": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3700-28TP-EI-24S-DC"},
    ".1.3.6.1.4.1.2011.2.23.238": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5701-28X-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.239": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5701-28X-LI-24S-AC"},
    ".1.3.6.1.4.1.2011.2.23.24": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026E"},
    ".1.3.6.1.4.1.2011.2.23.240": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28P-LI-BAT"},
    ".1.3.6.1.4.1.2011.2.23.241": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28P-LI-4AH"},
    ".1.3.6.1.4.1.2011.2.23.242": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28P-LI-24S-BAT"},
    ".1.3.6.1.4.1.2011.2.23.243": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28P-LI-24S-4AH"},
    ".1.3.6.1.4.1.2011.2.23.244": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-28P-LI-BAT"},
    ".1.3.6.1.4.1.2011.2.23.245": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-28P-LI-4AH"},
    ".1.3.6.1.4.1.2011.2.23.246": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-28P-LI-24S-BAT"},
    ".1.3.6.1.4.1.2011.2.23.247": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-28P-LI-24S-4AH"},
    ".1.3.6.1.4.1.2011.2.23.248": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52X-LI-48CS-AC"},
    ".1.3.6.1.4.1.2011.2.23.249": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-52X-LI-48CS-DC"},
    ".1.3.6.1.4.1.2011.2.23.25": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026EFM"},
    ".1.3.6.1.4.1.2011.2.23.250": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-52X-LI-48CS-AC"},
    ".1.3.6.1.4.1.2011.2.23.251": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-52X-LI-48CS-DC"},
    ".1.3.6.1.4.1.2011.2.23.252": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5310-108C-PWR-HI"},
    ".1.3.6.1.4.1.2011.2.23.253": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-10P-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.254": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-28P-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.255": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-52P-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.256": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-52X-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.257": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-52X-LI-DC"},
    ".1.3.6.1.4.1.2011.2.23.258": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-28X-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.259": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5300-52X-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.26": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026EFS"},
    ".1.3.6.1.4.1.2011.2.23.260": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2350-28TP-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.261": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28TP-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.262": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5700-28TP-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.263": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5701-28TP-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.264": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-56C-HI-AC"},
    ".1.3.6.1.4.1.2011.2.23.265": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-56C-PWR-HI-AC"},
    ".1.3.6.1.4.1.2011.2.23.266": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-32C-HI-24S-AC"},
    ".1.3.6.1.4.1.2011.2.23.267": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1720-28GFR-4TP"},
    ".1.3.6.1.4.1.2011.2.23.268": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1720-20GFR-4TP"},
    ".1.3.6.1.4.1.2011.2.23.269": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2720-28TP-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.27": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3526EFM"},
    ".1.3.6.1.4.1.2011.2.23.270": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-36C-EI-28S-AC"},
    ".1.3.6.1.4.1.2011.2.23.271": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-36C-EI-28S-AC"},
    ".1.3.6.1.4.1.2011.2.23.272": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-36C-EI-28S-DC"},
    ".1.3.6.1.4.1.2011.2.23.273": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-56C-EI-48S-AC"},
    ".1.3.6.1.4.1.2011.2.23.274": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-56C-EI-48S-AC"},
    ".1.3.6.1.4.1.2011.2.23.275": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-56C-EI-48S-DC"},
    ".1.3.6.1.4.1.2011.2.23.276": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-36C-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.277": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-36C-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.278": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-36C-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.279": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-36PC-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.28": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3526EFS"},
    ".1.3.6.1.4.1.2011.2.23.280": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-36PC-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.281": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-36PC-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.282": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-56C-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.283": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-56C-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.284": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-56C-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.285": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-56PC-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.286": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-56PC-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.287": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-56PC-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.288": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-36C-PWR-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.289": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-36C-PWR-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.29": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3050C"},
    ".1.3.6.1.4.1.2011.2.23.290": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-36C-PWR-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.291": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-56C-PWR-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.292": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-56C-PWR-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.293": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-56C-PWR-EI-AC1"},
    ".1.3.6.1.4.1.2011.2.23.294": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-32X-EI-24S-AC"},
    ".1.3.6.1.4.1.2011.2.23.295": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-32X-EI-24S"},
    ".1.3.6.1.4.1.2011.2.23.296": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-32X-EI-24S-DC"},
    ".1.3.6.1.4.1.2011.2.23.297": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-50X-EI-46S-AC"},
    ".1.3.6.1.4.1.2011.2.23.298": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-50X-EI-46S-AC"},
    ".1.3.6.1.4.1.2011.2.23.299": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-50X-EI-46S-DC"},
    ".1.3.6.1.4.1.2011.2.23.30": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S6503"},
    ".1.3.6.1.4.1.2011.2.23.300": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-32X-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.301": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-32X-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.302": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-32X-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.303": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-32P-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.304": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-32P-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.305": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-32P-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.306": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-52X-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.307": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-52X-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.308": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-52X-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.309": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-52P-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.31": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S8512"},
    ".1.3.6.1.4.1.2011.2.23.310": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-52P-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.311": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-52P-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.312": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-50X-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.313": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-50X-EI-AC"},
    ".1.3.6.1.4.1.2011.2.23.314": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-50X-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.32": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S8505"},
    ".1.3.6.1.4.1.2011.2.23.325": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-28P-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.327": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-28X-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.33": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S6506R"},
    ".1.3.6.1.4.1.2011.2.23.331": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-52X-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.332": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-52X-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.333": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-28X-PWR-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.334": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5320-28X-PWR-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.335": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-52X-PWR-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.336": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-52X-PWR-SI-ACF"},
    ".1.3.6.1.4.1.2011.2.23.34": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026C"},
    ".1.3.6.1.4.1.2011.2.23.340": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6720-30C-EI-24S-AC"},
    ".1.3.6.1.4.1.2011.2.23.343": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6720-54C-EI-48S-AC"},
    ".1.3.6.1.4.1.2011.2.23.35": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026G"},
    ".1.3.6.1.4.1.2011.2.23.36": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026T"},
    ".1.3.6.1.4.1.2011.2.23.369": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-32X-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.37": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3552G"},
    ".1.3.6.1.4.1.2011.2.23.370": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-50X-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.371": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-32X-EI-24S-DC"},
    ".1.3.6.1.4.1.2011.2.23.372": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-50X-EI-46S-DC"},
    ".1.3.6.1.4.1.2011.2.23.373": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-36C-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.374": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-56C-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.375": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-36C-PWR-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.376": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-56C-PWR-EI-DC"},
    ".1.3.6.1.4.1.2011.2.23.377": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-36C-EI-28S-DC"},
    ".1.3.6.1.4.1.2011.2.23.378": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-56C-EI-48S-DC"},
    ".1.3.6.1.4.1.2011.2.23.38": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3552P"},
    ".1.3.6.1.4.1.2011.2.23.39": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3528G"},
    ".1.3.6.1.4.1.2011.2.23.398": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-12TP-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.40": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3528P"},
    ".1.3.6.1.4.1.2011.2.23.406": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-28X-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.41": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3526C"},
    ".1.3.6.1.4.1.2011.2.23.414": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720S-28P-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.417": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1720-28GWR-PWR-4P"},
    ".1.3.6.1.4.1.2011.2.23.418": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-28X-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.42": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026C-24-12FS"},
    ".1.3.6.1.4.1.2011.2.23.43": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026C-24-12FM"},
    ".1.3.6.1.4.1.2011.2.23.431": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-52X-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.435": {"manufacturer": "Huawei", "platform": "huawei", "model": "S1720-52GWR-4P"},
    ".1.3.6.1.4.1.2011.2.23.44": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3526C-24-12FS"},
    ".1.3.6.1.4.1.2011.2.23.444": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-52X-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.45": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3526C-24-12FM"},
    ".1.3.6.1.4.1.2011.2.23.46": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5012G"},
    ".1.3.6.1.4.1.2011.2.23.462": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-28TP-PWR-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.47": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5012G-DC"},
    ".1.3.6.1.4.1.2011.2.23.48": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5012T-12-10GBC"},
    ".1.3.6.1.4.1.2011.2.23.49": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY S5012T-12-10GBC-DC",
    },
    ".1.3.6.1.4.1.2011.2.23.50": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5024G-24-20TP"},
    ".1.3.6.1.4.1.2011.2.23.51": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5024G-24-20TP-DC"},
    ".1.3.6.1.4.1.2011.2.23.52": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2026Z"},
    ".1.3.6.1.4.1.2011.2.23.524": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2720-52TP-EI"},
    ".1.3.6.1.4.1.2011.2.23.529": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2720-28TP-EI"},
    ".1.3.6.1.4.1.2011.2.23.53": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2026C"},
    ".1.3.6.1.4.1.2011.2.23.532": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2720-28TP-PWR-EI"},
    ".1.3.6.1.4.1.2011.2.23.54": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026G-SI"},
    ".1.3.6.1.4.1.2011.2.23.540": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6720-26Q-SI-24S-AC"},
    ".1.3.6.1.4.1.2011.2.23.545": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6720-32X-LI-32S-AC"},
    ".1.3.6.1.4.1.2011.2.23.547": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6720-32X-SI-32S-AC"},
    ".1.3.6.1.4.1.2011.2.23.55": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026C-SI"},
    ".1.3.6.1.4.1.2011.2.23.551": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6720-32C-SI-AC"},
    ".1.3.6.1.4.1.2011.2.23.56": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3026S-SI"},
    ".1.3.6.1.4.1.2011.2.23.57": {"manufacturer": "Huawei", "platform": "huawei", "model": "S8505E"},
    ".1.3.6.1.4.1.2011.2.23.576": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5720-28P-LI-AC"},
    ".1.3.6.1.4.1.2011.2.23.604": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5730-68C-HI"},
    ".1.3.6.1.4.1.2011.2.23.606": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5730-68C-PWH-HI"},
    ".1.3.6.1.4.1.2011.2.23.665": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6730-H48X6C"},
    ".1.3.6.1.4.1.2011.2.23.667": {"manufacturer": "Huawei", "platform": "huawei", "model": "S6730-H24X6C"},
    ".1.3.6.1.4.1.2011.2.23.67": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3552F"},
    ".1.3.6.1.4.1.2011.2.23.68": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3552F-EI"},
    ".1.3.6.1.4.1.2011.2.23.681": {"manufacturer": "Huawei", "platform": "huawei", "model": "CLOUDENGINE 5882-48T4S-B"},
    ".1.3.6.1.4.1.2011.2.23.682": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "CLOUDENGINE S5731-H24P4XC",
    },
    ".1.3.6.1.4.1.2011.2.23.683": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "CLOUDENGINE S5731-H48P4XC",
    },
    ".1.3.6.1.4.1.2011.2.23.69": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SE026"},
    ".1.3.6.1.4.1.2011.2.23.690": {"manufacturer": "Huawei", "platform": "huawei", "model": "CLOUDENGINE S5731-S24P4X"},
    ".1.3.6.1.4.1.2011.2.23.693": {"manufacturer": "Huawei", "platform": "huawei", "model": "CLOUDENGINE S5731-S48T4X"},
    ".1.3.6.1.4.1.2011.2.23.70": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SE026 SI"},
    ".1.3.6.1.4.1.2011.2.23.71": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SE050"},
    ".1.3.6.1.4.1.2011.2.23.712": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "CLOUDENGINE S5735-L12T4S-A",
    },
    ".1.3.6.1.4.1.2011.2.23.715": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5735-L24T4X-A"},
    ".1.3.6.1.4.1.2011.2.23.718": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "CLOUDENGINE S5735-L12P4S-A",
    },
    ".1.3.6.1.4.1.2011.2.23.72": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2326P-SI"},
    ".1.3.6.1.4.1.2011.2.23.73": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2326P-EI"},
    ".1.3.6.1.4.1.2011.2.23.731": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5735-S32ST4X"},
    ".1.3.6.1.4.1.2011.2.23.734": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5735-L48T4S-A"},
    ".1.3.6.1.4.1.2011.2.23.74": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2318P-SI"},
    ".1.3.6.1.4.1.2011.2.23.743": {"manufacturer": "Huawei", "platform": "huawei", "model": "CLOUDENGINE S5735-S24P4X"},
    ".1.3.6.1.4.1.2011.2.23.745": {"manufacturer": "Huawei", "platform": "huawei", "model": "CLOUDENGINE S5735-S48T4X"},
    ".1.3.6.1.4.1.2011.2.23.75": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2318P-EI"},
    ".1.3.6.1.4.1.2011.2.23.752": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "CLOUDENGINE S5735S-L48P4S-A",
    },
    ".1.3.6.1.4.1.2011.2.23.76": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2309P-SI"},
    ".1.3.6.1.4.1.2011.2.23.77": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2309P-EI"},
    ".1.3.6.1.4.1.2011.2.23.777": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "CLOUDENGINE S5732-H24UM2CC",
    },
    ".1.3.6.1.4.1.2011.2.23.78": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3352P-SI"},
    ".1.3.6.1.4.1.2011.2.23.79": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3352P-EI"},
    ".1.3.6.1.4.1.2011.2.23.80": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3328TP-SI"},
    ".1.3.6.1.4.1.2011.2.23.809": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "CLOUDENGINE S5736-S24UM4XC",
    },
    ".1.3.6.1.4.1.2011.2.23.81": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S3328"},
    ".1.3.6.1.4.1.2011.2.23.82": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3328TP-EI-24S"},
    ".1.3.6.1.4.1.2011.2.23.83": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3328TP-SI-24S"},
    ".1.3.6.1.4.1.2011.2.23.84": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3352P-EI-24S"},
    ".1.3.6.1.4.1.2011.2.23.85": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3352P-EI-48S"},
    ".1.3.6.1.4.1.2011.2.23.86": {"manufacturer": "Huawei", "platform": "huawei", "model": "S3352P-SI-48S"},
    ".1.3.6.1.4.1.2011.2.23.87": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2309TP-SI/EI"},
    ".1.3.6.1.4.1.2011.2.23.876": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "CLOUDENGINE S5735-L24P4X-A1",
    },
    ".1.3.6.1.4.1.2011.2.23.88": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2309TP-EI"},
    ".1.3.6.1.4.1.2011.2.23.89": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2318TP-SI"},
    ".1.3.6.1.4.1.2011.2.23.90": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2318TP-EI"},
    ".1.3.6.1.4.1.2011.2.23.91": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2326TP-SI"},
    ".1.3.6.1.4.1.2011.2.23.92": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2326TP-EI"},
    ".1.3.6.1.4.1.2011.2.23.93": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2352P-SI"},
    ".1.3.6.1.4.1.2011.2.23.94": {"manufacturer": "Huawei", "platform": "huawei", "model": "S2352P-EI"},
    ".1.3.6.1.4.1.2011.2.23.95": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5328C-EI"},
    ".1.3.6.1.4.1.2011.2.23.96": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5328C-EI-24S"},
    ".1.3.6.1.4.1.2011.2.23.97": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5352C-EI"},
    ".1.3.6.1.4.1.2011.2.23.98": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S5324TP-SI"},
    ".1.3.6.1.4.1.2011.2.23.99": {"manufacturer": "Huawei", "platform": "huawei", "model": "S5348TP-SI"},
    ".1.3.6.1.4.1.2011.2.235": {"manufacturer": "Huawei", "platform": "huawei", "model": "IBMC"},
    ".1.3.6.1.4.1.2011.2.239.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "CLOUDENGINE 12804"},
    ".1.3.6.1.4.1.2011.2.239.10": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE5850-48T4S2Q-HI"},
    ".1.3.6.1.4.1.2011.2.239.11": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE7850-32Q-EI"},
    ".1.3.6.1.4.1.2011.2.239.12": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6810-48S4Q-EI"},
    ".1.3.6.1.4.1.2011.2.239.13": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6810-48S4Q-LI"},
    ".1.3.6.1.4.1.2011.2.239.14": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6810-48S-LI"},
    ".1.3.6.1.4.1.2011.2.239.15": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE12804S"},
    ".1.3.6.1.4.1.2011.2.239.16": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE12808S"},
    ".1.3.6.1.4.1.2011.2.239.17": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6850-48S6Q-HI"},
    ".1.3.6.1.4.1.2011.2.239.18": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6850U-48S6Q-HI"},
    ".1.3.6.1.4.1.2011.2.239.19": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6850-48T6Q-HI"},
    ".1.3.6.1.4.1.2011.2.239.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE12808"},
    ".1.3.6.1.4.1.2011.2.239.20": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6810-32T16S4Q-LI"},
    ".1.3.6.1.4.1.2011.2.239.22": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE5855-48T4S2Q-EI"},
    ".1.3.6.1.4.1.2011.2.239.23": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE5855-24T4S2Q-EI"},
    ".1.3.6.1.4.1.2011.2.239.24": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6850U-24S2Q-HI"},
    ".1.3.6.1.4.1.2011.2.239.25": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6810-24S2Q-LI"},
    ".1.3.6.1.4.1.2011.2.239.26": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "CLOUDENGINE 6851-48S6Q-HI",
    },
    ".1.3.6.1.4.1.2011.2.239.27": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE8860-4C-EI"},
    ".1.3.6.1.4.1.2011.2.239.28": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6855-48T6Q-HI"},
    ".1.3.6.1.4.1.2011.2.239.29": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6855-48S6Q-HI"},
    ".1.3.6.1.4.1.2011.2.239.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE12812"},
    ".1.3.6.1.4.1.2011.2.239.31": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6860-48S8CQ-EI"},
    ".1.3.6.1.4.1.2011.2.239.32": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6870-48S6CQ-EI"},
    ".1.3.6.1.4.1.2011.2.239.33": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6870-24S6CQ-EI"},
    ".1.3.6.1.4.1.2011.2.239.34": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE7855-32Q-EI"},
    ".1.3.6.1.4.1.2011.2.239.35": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6880-48S4Q2CQ-EI"},
    ".1.3.6.1.4.1.2011.2.239.36": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6880-24S4Q2CQ-EI"},
    ".1.3.6.1.4.1.2011.2.239.37": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6880-48T4Q2CQ-EI"},
    ".1.3.6.1.4.1.2011.2.239.4": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE5850-48T4S2Q-EI"},
    ".1.3.6.1.4.1.2011.2.239.42": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE8850-32CQ-EI"},
    ".1.3.6.1.4.1.2011.2.239.44": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6870-48T6CQ-EI"},
    ".1.3.6.1.4.1.2011.2.239.46": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6856-48S6Q-HI"},
    ".1.3.6.1.4.1.2011.2.239.47": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6856-48T6Q-HI"},
    ".1.3.6.1.4.1.2011.2.239.49": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6865-48S8CQ-EI"},
    ".1.3.6.1.4.1.2011.2.239.5": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6850-52Q-EI-48S"},
    ".1.3.6.1.4.1.2011.2.239.50": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE8850-64CQ-EI"},
    ".1.3.6.1.4.1.2011.2.239.51": {"manufacturer": "Huawei", "platform": "huawei", "model": "CLOUDENGINE 8861-4C-EI"},
    ".1.3.6.1.4.1.2011.2.239.58": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE16804"},
    ".1.3.6.1.4.1.2011.2.239.6": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6850-52Q-EI-48T"},
    ".1.3.6.1.4.1.2011.2.239.60": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE16816"},
    ".1.3.6.1.4.1.2011.2.239.65": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6863-48S6CQ"},
    ".1.3.6.1.4.1.2011.2.239.66": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6881-48S6CQ"},
    ".1.3.6.1.4.1.2011.2.239.68": {"manufacturer": "Huawei", "platform": "huawei", "model": "CLOUDENGINE 6820-48S6CQ"},
    ".1.3.6.1.4.1.2011.2.239.7": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE5810-24T4S-EI"},
    ".1.3.6.1.4.1.2011.2.239.73": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE6881-48T6CQ"},
    ".1.3.6.1.4.1.2011.2.239.8": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE5810-48T4S-EI"},
    ".1.3.6.1.4.1.2011.2.239.9": {"manufacturer": "Huawei", "platform": "huawei", "model": "CE12816"},
    ".1.3.6.1.4.1.2011.2.240.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "ACU"},
    ".1.3.6.1.4.1.2011.2.240.17": {"manufacturer": "Huawei", "platform": "huawei", "model": "AC6508"},
    ".1.3.6.1.4.1.2011.2.240.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "AC6605-LSW"},
    ".1.3.6.1.4.1.2011.2.240.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "AC6605-AC"},
    ".1.3.6.1.4.1.2011.2.240.4": {"manufacturer": "Huawei", "platform": "huawei", "model": "AC6005-8"},
    ".1.3.6.1.4.1.2011.2.240.5": {"manufacturer": "Huawei", "platform": "huawei", "model": "AC6005-PWR"},
    ".1.3.6.1.4.1.2011.2.240.6": {"manufacturer": "Huawei", "platform": "huawei", "model": "AC6605-26-PWR"},
    ".1.3.6.1.4.1.2011.2.240.7": {"manufacturer": "Huawei", "platform": "huawei", "model": "ACU2"},
    ".1.3.6.1.4.1.2011.2.26.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NE 20-8"},
    ".1.3.6.1.4.1.2011.2.26.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NE 16E"},
    ".1.3.6.1.4.1.2011.2.26.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NE 08E"},
    ".1.3.6.1.4.1.2011.2.271.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "CX310 SWITCH MODULE"},
    ".1.3.6.1.4.1.2011.2.271.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "CX311 SWITCH MODULE"},
    ".1.3.6.1.4.1.2011.2.271.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "CX312 SWITCH MODULE"},
    ".1.3.6.1.4.1.2011.2.271.4": {"manufacturer": "Huawei", "platform": "huawei", "model": "CX110 SWITCH MODULE"},
    ".1.3.6.1.4.1.2011.2.279.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "S12704"},
    ".1.3.6.1.4.1.2011.2.279.6": {"manufacturer": "Huawei", "platform": "huawei", "model": "CLOUDENGINE S12700E-4"},
    ".1.3.6.1.4.1.2011.2.28": {"manufacturer": "Huawei", "platform": "huawei", "model": "UMG8900"},
    ".1.3.6.1.4.1.2011.2.29": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE NE40-2"},
    ".1.3.6.1.4.1.2011.2.297.14": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE05E-SQ",
    },
    ".1.3.6.1.4.1.2011.2.30": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE NE40-4"},
    ".1.3.6.1.4.1.2011.2.31": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE NE40-8"},
    ".1.3.6.1.4.1.2011.2.315.2.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE9000-20"},
    ".1.3.6.1.4.1.2011.2.315.2.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "NETENGINE9000"},
    ".1.3.6.1.4.1.2011.2.321.1.153": {"manufacturer": "Huawei", "platform": "huawei", "model": "USG6630E-AC"},
    ".1.3.6.1.4.1.2011.2.321.1.186": {"manufacturer": "Huawei", "platform": "huawei", "model": "USG6630E-DC"},
    ".1.3.6.1.4.1.2011.2.354.1.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-X16B"},
    ".1.3.6.1.4.1.2011.2.360.1.11": {"manufacturer": "Huawei", "platform": "huawei", "model": "NETENGINE 8000 M1A"},
    ".1.3.6.1.4.1.2011.2.360.1.5": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "NETENGINE 8000 F1A-8H20Q",
    },
    ".1.3.6.1.4.1.2011.2.360.1.9": {"manufacturer": "Huawei", "platform": "huawei", "model": "NETENGINE 8000 M8"},
    ".1.3.6.1.4.1.2011.2.39.105": {"manufacturer": "Huawei", "platform": "huawei", "model": "AIRENGINE 6760R-51E"},
    ".1.3.6.1.4.1.2011.2.39.11": {"manufacturer": "Huawei", "platform": "huawei", "model": "WA1208E"},
    ".1.3.6.1.4.1.2011.2.39.111": {"manufacturer": "Huawei", "platform": "huawei", "model": "AIRENGINE 6760-X1E"},
    ".1.3.6.1.4.1.2011.2.39.112": {"manufacturer": "Huawei", "platform": "huawei", "model": "AIRENGINE 8760-X1-PRO"},
    ".1.3.6.1.4.1.2011.2.39.115": {"manufacturer": "Huawei", "platform": "huawei", "model": "AIRENGINE 6761-21T"},
    ".1.3.6.1.4.1.2011.2.39.117": {"manufacturer": "Huawei", "platform": "huawei", "model": "AIRENGINE 5761-21"},
    ".1.3.6.1.4.1.2011.2.39.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "WA1003"},
    ".1.3.6.1.4.1.2011.2.39.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "WA1003A"},
    ".1.3.6.1.4.1.2011.2.39.4": {"manufacturer": "Huawei", "platform": "huawei", "model": "WA1005"},
    ".1.3.6.1.4.1.2011.2.39.5": {"manufacturer": "Huawei", "platform": "huawei", "model": "WA1008"},
    ".1.3.6.1.4.1.2011.2.39.6": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY WLAN1208E"},
    ".1.3.6.1.4.1.2011.2.39.7": {"manufacturer": "Huawei", "platform": "huawei", "model": "WA1208H"},
    ".1.3.6.1.4.1.2011.2.39.8": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY WLAN1600E"},
    ".1.3.6.1.4.1.2011.2.39.99": {"manufacturer": "Huawei", "platform": "huawei", "model": "AIRENGINE 5760-51"},
    ".1.3.6.1.4.1.2011.2.4.1.0": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY S2403"},
    ".1.3.6.1.4.1.2011.2.43": {"manufacturer": "Huawei", "platform": "huawei", "model": "WA1006"},
    ".1.3.6.1.4.1.2011.2.44": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR46-20"},
    ".1.3.6.1.4.1.2011.2.45": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR46-40"},
    ".1.3.6.1.4.1.2011.2.46": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR46-80"},
    ".1.3.6.1.4.1.2011.2.47": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE NE20-2"},
    ".1.3.6.1.4.1.2011.2.48": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE NE20-4"},
    ".1.3.6.1.4.1.2011.2.49": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE NE20-8"},
    ".1.3.6.1.4.1.2011.2.50": {"manufacturer": "Huawei", "platform": "huawei", "model": "EUDEMON 200"},
    ".1.3.6.1.4.1.2011.2.51": {"manufacturer": "Huawei", "platform": "huawei", "model": "E1000"},
    ".1.3.6.1.4.1.2011.2.55": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-18"},
    ".1.3.6.1.4.1.2011.2.56": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-20"},
    ".1.3.6.1.4.1.2011.2.57": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-30"},
    ".1.3.6.1.4.1.2011.2.58": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-31"},
    ".1.3.6.1.4.1.2011.2.59": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-32"},
    ".1.3.6.1.4.1.2011.2.6.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5200"},
    ".1.3.6.1.4.1.2011.2.6.2.18": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5200E"},
    ".1.3.6.1.4.1.2011.2.6.2.28.0": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5200F"},
    ".1.3.6.1.4.1.2011.2.6.2.30": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5200G"},
    ".1.3.6.1.4.1.2011.2.6.2.31": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5200G-4"},
    ".1.3.6.1.4.1.2011.2.6.2.32": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5200G-2"},
    ".1.3.6.1.4.1.2011.2.6.5.21": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5100-V100"},
    ".1.3.6.1.4.1.2011.2.6.5.22": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5100-V200"},
    ".1.3.6.1.4.1.2011.2.60": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-33"},
    ".1.3.6.1.4.1.2011.2.61": {"manufacturer": "Huawei", "platform": "huawei", "model": "AR18-34"},
    ".1.3.6.1.4.1.2011.2.62": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE 5000E"},
    ".1.3.6.1.4.1.2011.2.62.2.1": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE5000OEM",
    },
    ".1.3.6.1.4.1.2011.2.62.2.10": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE40E-X16",
    },
    ".1.3.6.1.4.1.2011.2.62.2.11": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE5000E-X16",
    },
    ".1.3.6.1.4.1.2011.2.62.2.12": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE40E-X1",
    },
    ".1.3.6.1.4.1.2011.2.62.2.13": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE40E-X2",
    },
    ".1.3.6.1.4.1.2011.2.62.2.17": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE40E-X16A",
    },
    ".1.3.6.1.4.1.2011.2.62.2.18": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE40E-X8A",
    },
    ".1.3.6.1.4.1.2011.2.62.2.19": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE5000E-X8A",
    },
    ".1.3.6.1.4.1.2011.2.62.2.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE NE80E"},
    ".1.3.6.1.4.1.2011.2.62.2.22": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE40E-X3A",
    },
    ".1.3.6.1.4.1.2011.2.62.2.27": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE40E-X16B",
    },
    ".1.3.6.1.4.1.2011.2.62.2.3": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE5000E",
    },
    ".1.3.6.1.4.1.2011.2.62.2.3.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE5000E"},
    ".1.3.6.1.4.1.2011.2.62.2.4": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE5000EMULTI",
    },
    ".1.3.6.1.4.1.2011.2.62.2.4.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE5000E-MULTI"},
    ".1.3.6.1.4.1.2011.2.62.2.5": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE NE40E"},
    ".1.3.6.1.4.1.2011.2.62.2.6": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE5000E-BTB",
    },
    ".1.3.6.1.4.1.2011.2.62.2.7": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE40E-4",
    },
    ".1.3.6.1.4.1.2011.2.62.2.8": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE40E-X3",
    },
    ".1.3.6.1.4.1.2011.2.62.2.9": {
        "manufacturer": "Huawei",
        "platform": "huawei",
        "model": "QUIDWAY NETENGINE NE40E-X8",
    },
    ".1.3.6.1.4.1.2011.2.62.20": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-M2E"},
    ".1.3.6.1.4.1.2011.2.62.21": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-M2F"},
    ".1.3.6.1.4.1.2011.2.62.23": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-X3AB"},
    ".1.3.6.1.4.1.2011.2.62.24": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-X2-M8A"},
    ".1.3.6.1.4.1.2011.2.62.25": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-X2-M16A"},
    ".1.3.6.1.4.1.2011.2.62.26": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-M2H"},
    ".1.3.6.1.4.1.2011.2.62.27": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-M2K"},
    ".1.3.6.1.4.1.2011.2.62.28": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-M8A"},
    ".1.3.6.1.4.1.2011.2.62.29": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-M16A"},
    ".1.3.6.1.4.1.2011.2.62.30": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-M2K-B"},
    ".1.3.6.1.4.1.2011.2.62.31": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-F1A-14H24Q"},
    ".1.3.6.1.4.1.2011.2.62.32": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE40E-X2-M16B"},
    ".1.3.6.1.4.1.2011.2.77": {"manufacturer": "Huawei", "platform": "huawei", "model": "EUDEMON 500"},
    ".1.3.6.1.4.1.2011.2.78": {"manufacturer": "Huawei", "platform": "huawei", "model": "UA5000-IPMB"},
    ".1.3.6.1.4.1.2011.2.80": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5600"},
    ".1.3.6.1.4.1.2011.2.80.8": {"manufacturer": "Huawei", "platform": "huawei", "model": "MA5600T"},
    ".1.3.6.1.4.1.2011.2.83": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY SECPATH 1800F"},
    ".1.3.6.1.4.1.2011.2.87.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX200A"},
    ".1.3.6.1.4.1.2011.2.87.10": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX200D"},
    ".1.3.6.1.4.1.2011.2.87.11": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX200D-EA"},
    ".1.3.6.1.4.1.2011.2.87.12": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX200D-MC"},
    ".1.3.6.1.4.1.2011.2.87.13": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX600-4"},
    ".1.3.6.1.4.1.2011.2.87.14": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX380-PBT"},
    ".1.3.6.1.4.1.2011.2.87.15": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX380-ME"},
    ".1.3.6.1.4.1.2011.2.87.16": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CXD-EA-MC"},
    ".1.3.6.1.4.1.2011.2.87.17": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX600-3"},
    ".1.3.6.1.4.1.2011.2.87.18": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY CX600-X8"},
    ".1.3.6.1.4.1.2011.2.87.19": {"manufacturer": "Huawei", "platform": "huawei", "model": "CX600-X16"},
    ".1.3.6.1.4.1.2011.2.87.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX200B"},
    ".1.3.6.1.4.1.2011.2.87.20": {"manufacturer": "Huawei", "platform": "huawei", "model": "CX600-X1"},
    ".1.3.6.1.4.1.2011.2.87.21": {"manufacturer": "Huawei", "platform": "huawei", "model": "CX600-X2"},
    ".1.3.6.1.4.1.2011.2.87.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX300A"},
    ".1.3.6.1.4.1.2011.2.87.4": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX300B"},
    ".1.3.6.1.4.1.2011.2.87.5": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX500A"},
    ".1.3.6.1.4.1.2011.2.87.6": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX380"},
    ".1.3.6.1.4.1.2011.2.87.7": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX600-8"},
    ".1.3.6.1.4.1.2011.2.87.8": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX600-16"},
    ".1.3.6.1.4.1.2011.2.87.9": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY MSP CX200C"},
    ".1.3.6.1.4.1.2011.2.88": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NETENGINE 20E"},
    ".1.3.6.1.4.1.2011.2.88.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "QUIDWAY NE 20E-3"},
    ".1.3.6.1.4.1.2011.2.88.10": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE20E-S16A"},
    ".1.3.6.1.4.1.2011.2.88.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE20E-8"},
    ".1.3.6.1.4.1.2011.2.88.3": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE20E-X6"},
    ".1.3.6.1.4.1.2011.2.88.4": {"manufacturer": "Huawei", "platform": "huawei", "model": "NETENGINE20E-S4"},
    ".1.3.6.1.4.1.2011.2.88.5": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE20E-S8"},
    ".1.3.6.1.4.1.2011.2.88.6": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE20E-S16"},
    ".1.3.6.1.4.1.2011.2.88.7": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE20E-S2E"},
    ".1.3.6.1.4.1.2011.2.88.8": {"manufacturer": "Huawei", "platform": "huawei", "model": "NE20E-S2F"},
    ".1.3.6.1.4.1.2011.2.88.9": {"manufacturer": "Huawei", "platform": "huawei", "model": "NETENGINE20E-S8A"},
    ".1.3.6.1.4.1.2011.2.89.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "ME60"},
    ".1.3.6.1.4.1.2011.2.89.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "ME60"},
    ".1.3.6.1.4.1.2011.2.91": {"manufacturer": "Huawei", "platform": "huawei", "model": "IPSAN"},
    ".1.3.6.1.4.1.2011.6.122.8.11.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "EUDEMON 8000E"},
    ".1.3.6.1.4.1.2011.6.122.8.11.2": {"manufacturer": "Huawei", "platform": "huawei", "model": "EUDEMON8000E-X"},
    ".1.3.6.1.4.1.2011.6.122.8.19.1": {"manufacturer": "Huawei", "platform": "huawei", "model": "ANTIDDOS8030"},
    ".1.3.6.1.4.1.2011.6.133.46": {"manufacturer": "Huawei", "platform": "huawei", "model": "USG6550"},
    ".1.3.6.1.4.1.2011.6.133.55": {"manufacturer": "Huawei", "platform": "huawei", "model": "USG6620"},
}


def extract_huawei_model(sys_descr: str) -> str | None:
    """Extracts the device model from the given sysDescr string."""
    if "HUAWEI" in sys_descr:
        for line in sys_descr.splitlines():
            if "HUAWEI" in line:
                return line.split("HUAWEI")[1].strip()
        return ""
    elif "Huawei" in sys_descr:  # noqa: RET505
        lines = sys_descr.splitlines()
        if len(lines) > 1:
            return lines[0].strip()
        return lines[0].split(" ")[1].strip()
    return None
