from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from netty_snmp._types import DeviceType

JUNIPER_DEVICE_TYPES: dict[str, "DeviceType"] = {
    ".1.3.6.1.4.1.2636.1.1.1.1.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M40"},
    ".1.3.6.1.4.1.2636.1.1.1.1.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M20"},
    ".1.3.6.1.4.1.2636.1.1.1.1.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M160"},
    ".1.3.6.1.4.1.2636.1.1.1.1.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M10"},
    ".1.3.6.1.4.1.2636.1.1.1.1.5": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M5"},
    ".1.3.6.1.4.1.2636.1.1.1.2.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M40"},
    ".1.3.6.1.4.1.2636.1.1.1.2.10": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M7I"},
    ".1.3.6.1.4.1.2636.1.1.1.2.100": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX3100"},
    ".1.3.6.1.4.1.2636.1.1.1.2.101": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "LN2800"},
    ".1.3.6.1.4.1.2636.1.1.1.2.102": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX9214"},
    ".1.3.6.1.4.1.2636.1.1.1.2.103": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX9208"},
    ".1.3.6.1.4.1.2636.1.1.1.2.104": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX9204"},
    ".1.3.6.1.4.1.2636.1.1.1.2.105": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX5400"},
    ".1.3.6.1.4.1.2636.1.1.1.2.108": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "VMX"},
    ".1.3.6.1.4.1.2636.1.1.1.2.109": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4600-40F"},
    ".1.3.6.1.4.1.2636.1.1.1.2.11": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M10I"},
    ".1.3.6.1.4.1.2636.1.1.1.2.110": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "VIRTUAL ROUTE REFLECTOR (VRR)",
    },
    ".1.3.6.1.4.1.2636.1.1.1.2.111": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX104"},
    ".1.3.6.1.4.1.2636.1.1.1.2.113": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX1000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.114": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX2000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.115": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX1100"},
    ".1.3.6.1.4.1.2636.1.1.1.2.116": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX2100"},
    ".1.3.6.1.4.1.2636.1.1.1.2.117": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX2200"},
    ".1.3.6.1.4.1.2636.1.1.1.2.118": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX4000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.119": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500"},
    ".1.3.6.1.4.1.2636.1.1.1.2.120": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500"},
    ".1.3.6.1.4.1.2636.1.1.1.2.121": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500-O"},
    ".1.3.6.1.4.1.2636.1.1.1.2.122": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500-O"},
    ".1.3.6.1.4.1.2636.1.1.1.2.123": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500-O-POE"},
    ".1.3.6.1.4.1.2636.1.1.1.2.124": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500-O-POE"},
    ".1.3.6.1.4.1.2636.1.1.1.2.126": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX5048"},
    ".1.3.6.1.4.1.2636.1.1.1.2.127": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX5096"},
    ".1.3.6.1.4.1.2636.1.1.1.2.128": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "LN1000CC"},
    ".1.3.6.1.4.1.2636.1.1.1.2.129": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "VSRX"},
    ".1.3.6.1.4.1.2636.1.1.1.2.13": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "J2300"},
    ".1.3.6.1.4.1.2636.1.1.1.2.130": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "PTX1000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.131": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3400"},
    ".1.3.6.1.4.1.2636.1.1.1.2.132": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2300"},
    ".1.3.6.1.4.1.2636.1.1.1.2.133": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX300"},
    ".1.3.6.1.4.1.2636.1.1.1.2.134": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX320"},
    ".1.3.6.1.4.1.2636.1.1.1.2.135": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX340"},
    ".1.3.6.1.4.1.2636.1.1.1.2.136": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX345"},
    ".1.3.6.1.4.1.2636.1.1.1.2.137": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX 1500"},
    ".1.3.6.1.4.1.2636.1.1.1.2.139": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX10003"},
    ".1.3.6.1.4.1.2636.1.1.1.2.14": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "J4300"},
    ".1.3.6.1.4.1.2636.1.1.1.2.140": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX4600"},
    ".1.3.6.1.4.1.2636.1.1.1.2.141": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX4800"},
    ".1.3.6.1.4.1.2636.1.1.1.2.142": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX4100"},
    ".1.3.6.1.4.1.2636.1.1.1.2.143": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX4200"},
    ".1.3.6.1.4.1.2636.1.1.1.2.144": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX204"},
    ".1.3.6.1.4.1.2636.1.1.1.2.145": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX2008"},
    ".1.3.6.1.4.1.2636.1.1.1.2.146": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MXTSR80"},
    ".1.3.6.1.4.1.2636.1.1.1.2.147": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "PTX10008"},
    ".1.3.6.1.4.1.2636.1.1.1.2.148": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX5448"},
    ".1.3.6.1.4.1.2636.1.1.1.2.15": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "J6300"},
    ".1.3.6.1.4.1.2636.1.1.1.2.150": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "PTX10016"},
    ".1.3.6.1.4.1.2636.1.1.1.2.151": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX9251"},
    ".1.3.6.1.4.1.2636.1.1.1.2.152": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX150"},
    ".1.3.6.1.4.1.2636.1.1.1.2.153": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX10001"},
    ".1.3.6.1.4.1.2636.1.1.1.2.154": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX10008"},
    ".1.3.6.1.4.1.2636.1.1.1.2.155": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX10016"},
    ".1.3.6.1.4.1.2636.1.1.1.2.156": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX9253"},
    ".1.3.6.1.4.1.2636.1.1.1.2.157": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "JRR200"},
    ".1.3.6.1.4.1.2636.1.1.1.2.158": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX5448M"},
    ".1.3.6.1.4.1.2636.1.1.1.2.159": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX5448D"},
    ".1.3.6.1.4.1.2636.1.1.1.2.16": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "IRM"},
    ".1.3.6.1.4.1.2636.1.1.1.2.160": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX6360OR"},
    ".1.3.6.1.4.1.2636.1.1.1.2.161": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX6360OX"},
    ".1.3.6.1.4.1.2636.1.1.1.2.162": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX710"},
    ".1.3.6.1.4.1.2636.1.1.1.2.163": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX5800"},
    ".1.3.6.1.4.1.2636.1.1.1.2.164": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX380"},
    ".1.3.6.1.4.1.2636.1.1.1.2.165": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4400"},
    ".1.3.6.1.4.1.2636.1.1.1.2.166": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "R6675"},
    ".1.3.6.1.4.1.2636.1.1.1.2.17": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "TX MATRIX"},
    ".1.3.6.1.4.1.2636.1.1.1.2.17.1": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "TX ROUTING NODE (LCC0)",
    },
    ".1.3.6.1.4.1.2636.1.1.1.2.17.2": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "TX ROUTING NODE (LCC1)",
    },
    ".1.3.6.1.4.1.2636.1.1.1.2.17.3": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "TX ROUTING NODE (LCC2)",
    },
    ".1.3.6.1.4.1.2636.1.1.1.2.17.4": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "TX ROUTING NODE (LCC3)",
    },
    ".1.3.6.1.4.1.2636.1.1.1.2.18": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M120"},
    ".1.3.6.1.4.1.2636.1.1.1.2.19": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "J4350"},
    ".1.3.6.1.4.1.2636.1.1.1.2.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M20"},
    ".1.3.6.1.4.1.2636.1.1.1.2.20": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "J6350"},
    ".1.3.6.1.4.1.2636.1.1.1.2.21": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX960"},
    ".1.3.6.1.4.1.2636.1.1.1.2.22": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "J4320"},
    ".1.3.6.1.4.1.2636.1.1.1.2.23": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "JSR2320"},
    ".1.3.6.1.4.1.2636.1.1.1.2.24": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "J2350"},
    ".1.3.6.1.4.1.2636.1.1.1.2.25": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX480"},
    ".1.3.6.1.4.1.2636.1.1.1.2.26": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX5800"},
    ".1.3.6.1.4.1.2636.1.1.1.2.27": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "T1600"},
    ".1.3.6.1.4.1.2636.1.1.1.2.28": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX5600"},
    ".1.3.6.1.4.1.2636.1.1.1.2.29": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX240"},
    ".1.3.6.1.4.1.2636.1.1.1.2.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M160"},
    ".1.3.6.1.4.1.2636.1.1.1.2.30": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3200-24T"},
    ".1.3.6.1.4.1.2636.1.1.1.2.31": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4200-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.2.32": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX8208"},
    ".1.3.6.1.4.1.2636.1.1.1.2.33": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX8216"},
    ".1.3.6.1.4.1.2636.1.1.1.2.34": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX3600"},
    ".1.3.6.1.4.1.2636.1.1.1.2.35": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX3400"},
    ".1.3.6.1.4.1.2636.1.1.1.2.36": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX210-LM"},
    ".1.3.6.1.4.1.2636.1.1.1.2.37": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "TX MATRIX PLUS"},
    ".1.3.6.1.4.1.2636.1.1.1.2.38": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "JCS1200"},
    ".1.3.6.1.4.1.2636.1.1.1.2.39": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX240H"},
    ".1.3.6.1.4.1.2636.1.1.1.2.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M10"},
    ".1.3.6.1.4.1.2636.1.1.1.2.40": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX650"},
    ".1.3.6.1.4.1.2636.1.1.1.2.41": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX100B"},
    ".1.3.6.1.4.1.2636.1.1.1.2.42": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "LN1000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.43": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2200-48T-4G"},
    ".1.3.6.1.4.1.2636.1.1.1.2.44": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4500-40F"},
    ".1.3.6.1.4.1.2636.1.1.1.2.49": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX 1400"},
    ".1.3.6.1.4.1.2636.1.1.1.2.5": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M5"},
    ".1.3.6.1.4.1.2636.1.1.1.2.508": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4650"},
    ".1.3.6.1.4.1.2636.1.1.1.2.513": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "PTX10002"},
    ".1.3.6.1.4.1.2636.1.1.1.2.523": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "PTX1000380C"},
    ".1.3.6.1.4.1.2636.1.1.1.2.524": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "PTX10003160C"},
    ".1.3.6.1.4.1.2636.1.1.1.2.525": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX1000380C"},
    ".1.3.6.1.4.1.2636.1.1.1.2.526": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX10003160C"},
    ".1.3.6.1.4.1.2636.1.1.1.2.555": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "PTX1000136MR"},
    ".1.3.6.1.4.1.2636.1.1.1.2.57": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX80"},
    ".1.3.6.1.4.1.2636.1.1.1.2.570": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "PTX10004"},
    ".1.3.6.1.4.1.2636.1.1.1.2.576": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX753"},
    ".1.3.6.1.4.1.2636.1.1.1.2.58": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX 220"},
    ".1.3.6.1.4.1.2636.1.1.1.2.59": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX-XRE"},
    ".1.3.6.1.4.1.2636.1.1.1.2.6": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "T640"},
    ".1.3.6.1.4.1.2636.1.1.1.2.63": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4300"},
    ".1.3.6.1.4.1.2636.1.1.1.2.64": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX110H2-VA"},
    ".1.3.6.1.4.1.2636.1.1.1.2.65": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX120"},
    ".1.3.6.1.4.1.2636.1.1.1.2.66": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MAG8600"},
    ".1.3.6.1.4.1.2636.1.1.1.2.67": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MAG6611"},
    ".1.3.6.1.4.1.2636.1.1.1.2.68": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MAG6610"},
    ".1.3.6.1.4.1.2636.1.1.1.2.69": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "PTX5000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.7": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "T320"},
    ".1.3.6.1.4.1.2636.1.1.1.2.73": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "IBMCONVERGEDSWITCH-J52F",
    },
    ".1.3.6.1.4.1.2636.1.1.1.2.74": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX6210"},
    ".1.3.6.1.4.1.2636.1.1.1.2.76": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3300-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.2.8": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M40E"},
    ".1.3.6.1.4.1.2636.1.1.1.2.82": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX SWITCH"},
    ".1.3.6.1.4.1.2636.1.1.1.2.83": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "T4000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.84": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX3000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.85": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.86": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "SRX550"},
    ".1.3.6.1.4.1.2636.1.1.1.2.87": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX1000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.87.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX1000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.87.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX2000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.87.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX4000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.87.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX2100"},
    ".1.3.6.1.4.1.2636.1.1.1.2.87.6": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX1100"},
    ".1.3.6.1.4.1.2636.1.1.1.2.88": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX40"},
    ".1.3.6.1.4.1.2636.1.1.1.2.89": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX10"},
    ".1.3.6.1.4.1.2636.1.1.1.2.9": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "M320"},
    ".1.3.6.1.4.1.2636.1.1.1.2.90": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX5"},
    ".1.3.6.1.4.1.2636.1.1.1.2.92": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4550"},
    ".1.3.6.1.4.1.2636.1.1.1.2.93": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX2020"},
    ".1.3.6.1.4.1.2636.1.1.1.2.95": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "LN2600"},
    ".1.3.6.1.4.1.2636.1.1.1.2.96": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "VSRX"},
    ".1.3.6.1.4.1.2636.1.1.1.2.97": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX104"},
    ".1.3.6.1.4.1.2636.1.1.1.2.98": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "PTX3000"},
    ".1.3.6.1.4.1.2636.1.1.1.2.99": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX2010"},
    ".1.3.6.1.4.1.2636.1.1.1.4.113.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX1000"},
    ".1.3.6.1.4.1.2636.1.1.1.4.114.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX2000"},
    ".1.3.6.1.4.1.2636.1.1.1.4.115.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX1100"},
    ".1.3.6.1.4.1.2636.1.1.1.4.116.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX2100"},
    ".1.3.6.1.4.1.2636.1.1.1.4.118.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX4000"},
    ".1.3.6.1.4.1.2636.1.1.1.4.119.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500"},
    ".1.3.6.1.4.1.2636.1.1.1.4.120.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500"},
    ".1.3.6.1.4.1.2636.1.1.1.4.121.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500-O"},
    ".1.3.6.1.4.1.2636.1.1.1.4.122.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500-O"},
    ".1.3.6.1.4.1.2636.1.1.1.4.123.1": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "ACX500-O-POE",
    },
    ".1.3.6.1.4.1.2636.1.1.1.4.124.1": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "ACX500-O-POE",
    },
    ".1.3.6.1.4.1.2636.1.1.1.4.126.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX5048"},
    ".1.3.6.1.4.1.2636.1.1.1.4.127.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX5096"},
    ".1.3.6.1.4.1.2636.1.1.1.4.130.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "PTX1000"},
    ".1.3.6.1.4.1.2636.1.1.1.4.131.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3400-24T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.131.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3400-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.131.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3400-24P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.131.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3400-48P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.132.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2300-24T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.132.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2300-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.132.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2300-24P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.132.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2300-48P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.132.5": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2300C-12T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.132.6": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2300C-12P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.30": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3200"},
    ".1.3.6.1.4.1.2636.1.1.1.4.30.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3200-24T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.30.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3200-24P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.30.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3200-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.30.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3200-48P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.31": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4200"},
    ".1.3.6.1.4.1.2636.1.1.1.4.31.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4200-24T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.31.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4200-24P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.31.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4200-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.31.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4200-48P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.31.5": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4200-24F"},
    ".1.3.6.1.4.1.2636.1.1.1.4.31.6": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4200-24PX"},
    ".1.3.6.1.4.1.2636.1.1.1.4.31.7": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4200-48PX"},
    ".1.3.6.1.4.1.2636.1.1.1.4.32": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX8208"},
    ".1.3.6.1.4.1.2636.1.1.1.4.33": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX8216"},
    ".1.3.6.1.4.1.2636.1.1.1.4.43.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2200-24T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.43.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2200-24P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.43.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2200-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.43.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2200-48P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.43.5": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2200C-12T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.43.6": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2200C-12P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.43.7": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX2200-24T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.508.1": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "EX4650-48Y-8C",
    },
    ".1.3.6.1.4.1.2636.1.1.1.4.57.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX80"},
    ".1.3.6.1.4.1.2636.1.1.1.4.57.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX80"},
    ".1.3.6.1.4.1.2636.1.1.1.4.57.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX80"},
    ".1.3.6.1.4.1.2636.1.1.1.4.57.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "MX80"},
    ".1.3.6.1.4.1.2636.1.1.1.4.61.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX3500"},
    ".1.3.6.1.4.1.2636.1.1.1.4.61.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5500"},
    ".1.3.6.1.4.1.2636.1.1.1.4.61.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX3600-16Q"},
    ".1.3.6.1.4.1.2636.1.1.1.4.61.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX3500-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.61.5": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5100-24Q"},
    ".1.3.6.1.4.1.2636.1.1.1.4.61.6": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5100-48S"},
    ".1.3.6.1.4.1.2636.1.1.1.4.61.7": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5100-96S"},
    ".1.3.6.1.4.1.2636.1.1.1.4.61.8": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5100-48C"},
    ".1.3.6.1.4.1.2636.1.1.1.4.63.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4300-24T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.63.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4300-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.63.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4300-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.63.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4300-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.63.5": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4300-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.63.6": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4300-24P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.63.7": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4300-48P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.76.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3300-24T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.76.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3300-24P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.76.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3300-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.76.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3300-48P"},
    ".1.3.6.1.4.1.2636.1.1.1.4.76.5": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3300-24T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.76.6": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX3300-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX3500"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.10": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "QFX10002-36Q",
    },
    ".1.3.6.1.4.1.2636.1.1.1.4.82.11": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "QFX10002-72Q",
    },
    ".1.3.6.1.4.1.2636.1.1.1.4.82.12": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX10004"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.13": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX10008"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.14": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX10016"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.15": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5200-32C"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.16": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "QFX5200-32C-64Q",
    },
    ".1.3.6.1.4.1.2636.1.1.1.4.82.17": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5110-48S"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.18": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5110-32Q"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.19": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "QFX10002-60C",
    },
    ".1.3.6.1.4.1.2636.1.1.1.4.82.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX3600S"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.20": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5210-64C"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.21": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5200-48Y"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.22": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5120-48Y"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.24": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5120-32C"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.25": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "QFX5220-32CD",
    },
    ".1.3.6.1.4.1.2636.1.1.1.4.82.26": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "QFX5220-128C",
    },
    ".1.3.6.1.4.1.2636.1.1.1.4.82.27": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5120-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.28": {
        "manufacturer": "Juniper",
        "platform": "juniper_junos",
        "model": "QFX5130-32CD",
    },
    ".1.3.6.1.4.1.2636.1.1.1.4.82.29": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5130-48C"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX3500-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5100-24Q"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.5": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5100-48S"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.6": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5100-96S"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.7": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5100-48"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.8": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5100-24Q"},
    ".1.3.6.1.4.1.2636.1.1.1.4.82.9": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX5100-48T"},
    ".1.3.6.1.4.1.2636.1.1.1.4.84.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX3000-G"},
    ".1.3.6.1.4.1.2636.1.1.1.4.84.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "QFX3000-M"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX1000"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.10": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500-O"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.11": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.12": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX2000"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX4000"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX2100"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.5": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX2200"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.6": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX1100"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.7": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500-O-POE"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.8": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500-O-POE"},
    ".1.3.6.1.4.1.2636.1.1.1.4.87.9": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "ACX500-O"},
    ".1.3.6.1.4.1.2636.1.1.1.4.92.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4550-32F"},
    ".1.3.6.1.4.1.2636.1.1.1.4.92.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "EX4550-32T"},
    ".1.3.6.1.4.1.2636.10": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "JUNIPER BX7000"},
    ".1.3.6.1.4.1.2636.3.41.1.1.5.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "WXC-250"},
    ".1.3.6.1.4.1.2636.3.41.1.1.5.2": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "WXC-500"},
    ".1.3.6.1.4.1.2636.3.41.1.1.5.3": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "WXC-590"},
    ".1.3.6.1.4.1.2636.3.41.1.1.5.4": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "WXC-1800"},
    ".1.3.6.1.4.1.2636.3.41.1.1.5.5": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "WXC-2600"},
    ".1.3.6.1.4.1.2636.3.41.1.1.5.6": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "WXC-3400"},
    ".1.3.6.1.4.1.2636.3.41.1.1.5.7": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "WXC-7800"},
    ".1.3.6.1.4.1.2636.3.9.1.252.1": {"manufacturer": "Juniper", "platform": "juniper_junos", "model": "IDP8200"},
}
