from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from netty_snmp._types import DeviceType

NETGEAR_DEVICE_TYPES: dict[str, "DeviceType"] = {
    "1.3.6.1.4.1.4526.1.1": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "FSM700S"},
    "1.3.6.1.4.1.4526.100.1.27": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "M4300-8X8F"},
    "1.3.6.1.4.1.4526.100.1.28": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "M4300-12X12F"},
    "1.3.6.1.4.1.4526.100.1.29": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "M4300-24X24F"},
    "1.3.6.1.4.1.4526.100.10.16": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "S3300-28X"},
    "1.3.6.1.4.1.4526.100.10.18": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "S3300-52X"},
    "1.3.6.1.4.1.4526.100.11.5": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GSM7224V2"},
    "1.3.6.1.4.1.4526.100.2.1": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GSM7212"},
    "1.3.6.1.4.1.4526.100.2.3": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GSM7212"},
    "1.3.6.1.4.1.4526.100.4.1": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS748T"},
    "1.3.6.1.4.1.4526.100.4.10": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS724TP"},
    "1.3.6.1.4.1.4526.100.4.11": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS748TP"},
    "1.3.6.1.4.1.4526.100.4.12": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS724TR"},
    "1.3.6.1.4.1.4526.100.4.13": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS748TR"},
    "1.3.6.1.4.1.4526.100.4.16": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS716TV2"},
    "1.3.6.1.4.1.4526.100.4.17": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS724TV3"},
    "1.3.6.1.4.1.4526.100.4.18": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS108TV2"},
    "1.3.6.1.4.1.4526.100.4.19": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS110TP"},
    "1.3.6.1.4.1.4526.100.4.2": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "FS726T"},
    "1.3.6.1.4.1.4526.100.4.20": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "FS728TPV2"},
    "1.3.6.1.4.1.4526.100.4.3": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS716T"},
    "1.3.6.1.4.1.4526.100.4.30": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "XS712T"},
    "1.3.6.1.4.1.4526.100.4.31": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS716TV3"},
    "1.3.6.1.4.1.4526.100.4.32": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS724TV4"},
    "1.3.6.1.4.1.4526.100.4.33": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS748TV5"},
    "1.3.6.1.4.1.4526.100.4.38": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "XS716T"},
    "1.3.6.1.4.1.4526.100.4.39": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "XS708T"},
    "1.3.6.1.4.1.4526.100.4.4": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "FS750T"},
    "1.3.6.1.4.1.4526.100.4.41": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS418TPP"},
    "1.3.6.1.4.1.4526.100.4.42": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS510TLP"},
    "1.3.6.1.4.1.4526.100.4.43": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS510TPP"},
    "1.3.6.1.4.1.4526.100.4.47": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "XS712TV2"},
    "1.3.6.1.4.1.4526.100.4.48": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS310TP"},
    "1.3.6.1.4.1.4526.100.4.5": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS724T"},
    "1.3.6.1.4.1.4526.100.4.6": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "FS726TP"},
    "1.3.6.1.4.1.4526.100.4.7": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "FS728TP"},
    "1.3.6.1.4.1.4526.100.4.8": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS108T"},
    "1.3.6.1.4.1.4526.100.4.9": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "GS108TP"},
    "1.3.6.1.4.1.4526.100.6.11": {"manufacturer": "Netgear", "platform": "netgear_prosafe", "model": "SRX5308"},
}
