from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from netty_snmp._types import DeviceType


RUCKUS_DEVICE_TYPES: dict[str, "DeviceType"] = {
    "1.3.6.1.4.1.25053.3.1.1.1": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "VF2825"},
    "1.3.6.1.4.1.25053.3.1.1.2": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "VF2811"},
    "1.3.6.1.4.1.25053.3.1.1.3": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "VF2821"},
    "1.3.6.1.4.1.25053.3.1.1.4": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "VF2835"},
    "1.3.6.1.4.1.25053.3.1.1.5": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "VF7811"},
    "1.3.6.1.4.1.25053.3.1.10": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "SMARTCELL GATEWAY"},
    "1.3.6.1.4.1.25053.3.1.10.1": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "SCG-200"},
    "1.3.6.1.4.1.25053.3.1.11.1": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "SMARTZONE VSZ-E"},
    "1.3.6.1.4.1.25053.3.1.11.2": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "SZ-50"},
    "1.3.6.1.4.1.25053.3.1.2.1": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "VF2111"},
    "1.3.6.1.4.1.25053.3.1.2.2": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "VF2121"},
    "1.3.6.1.4.1.25053.3.1.2.3": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "VF7111"},
    "1.3.6.1.4.1.25053.3.1.3.1": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "MM2225"},
    "1.3.6.1.4.1.25053.3.1.3.2": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "MM2211"},
    "1.3.6.1.4.1.25053.3.1.3.3": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "MM2221"},
    "1.3.6.1.4.1.25053.3.1.4.1": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF2925"},
    "1.3.6.1.4.1.25053.3.1.4.10": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7762-N"},
    "1.3.6.1.4.1.25053.3.1.4.100": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R610"},
    "1.3.6.1.4.1.25053.3.1.4.101": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T610"},
    "1.3.6.1.4.1.25053.3.1.4.102": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R720"},
    "1.3.6.1.4.1.25053.3.1.4.103": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T310C"},
    "1.3.6.1.4.1.25053.3.1.4.104": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T310D"},
    "1.3.6.1.4.1.25053.3.1.4.105": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T310N"},
    "1.3.6.1.4.1.25053.3.1.4.106": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T310S"},
    "1.3.6.1.4.1.25053.3.1.4.107": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "M510"},
    "1.3.6.1.4.1.25053.3.1.4.108": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R730"},
    "1.3.6.1.4.1.25053.3.1.4.109": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R750"},
    "1.3.6.1.4.1.25053.3.1.4.110": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T305I"},
    "1.3.6.1.4.1.25053.3.1.4.111": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T305E"},
    "1.3.6.1.4.1.25053.3.1.4.112": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T750"},
    "1.3.6.1.4.1.25053.3.1.4.12": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7343"},
    "1.3.6.1.4.1.25053.3.1.4.13": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7363"},
    "1.3.6.1.4.1.25053.3.1.4.14": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7341"},
    "1.3.6.1.4.1.25053.3.1.4.15": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7211"},
    "1.3.6.1.4.1.25053.3.1.4.16": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7731"},
    "1.3.6.1.4.1.25053.3.1.4.2": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF2942"},
    "1.3.6.1.4.1.25053.3.1.4.20": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7025"},
    "1.3.6.1.4.1.25053.3.1.4.22": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7321"},
    "1.3.6.1.4.1.25053.3.1.4.23": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7321-U"},
    "1.3.6.1.4.1.25053.3.1.4.24": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF2741-EXT"},
    "1.3.6.1.4.1.25053.3.1.4.25": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7982"},
    "1.3.6.1.4.1.25053.3.1.4.28": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7782"},
    "1.3.6.1.4.1.25053.3.1.4.29": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7782-S"},
    "1.3.6.1.4.1.25053.3.1.4.3": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7942"},
    "1.3.6.1.4.1.25053.3.1.4.30": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7782-N"},
    "1.3.6.1.4.1.25053.3.1.4.31": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7782-E"},
    "1.3.6.1.4.1.25053.3.1.4.32": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF8800-S-AC"},
    "1.3.6.1.4.1.25053.3.1.4.35": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7762-AC"},
    "1.3.6.1.4.1.25053.3.1.4.36": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7762-S-AC"},
    "1.3.6.1.4.1.25053.3.1.4.37": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7762-T-AC"},
    "1.3.6.1.4.1.25053.3.1.4.4": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7962"},
    "1.3.6.1.4.1.25053.3.1.4.40": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7372"},
    "1.3.6.1.4.1.25053.3.1.4.41": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7372-E"},
    "1.3.6.1.4.1.25053.3.1.4.42": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7441"},
    "1.3.6.1.4.1.25053.3.1.4.45": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7352"},
    "1.3.6.1.4.1.25053.3.1.4.48": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7351"},
    "1.3.6.1.4.1.25053.3.1.4.5": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF2741"},
    "1.3.6.1.4.1.25053.3.1.4.50": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7742"},
    "1.3.6.1.4.1.25053.3.1.4.52": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7055"},
    "1.3.6.1.4.1.25053.3.1.4.55": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7781-M"},
    "1.3.6.1.4.1.25053.3.1.4.56": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7781CM"},
    "1.3.6.1.4.1.25053.3.1.4.57": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7781CM-E"},
    "1.3.6.1.4.1.25053.3.1.4.58": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7781CM-S"},
    "1.3.6.1.4.1.25053.3.1.4.6": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7762"},
    "1.3.6.1.4.1.25053.3.1.4.60": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7781-FN"},
    "1.3.6.1.4.1.25053.3.1.4.61": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7781-FN-E"},
    "1.3.6.1.4.1.25053.3.1.4.62": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7781-FN-S"},
    "1.3.6.1.4.1.25053.3.1.4.65": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "SC8800-S-AC"},
    "1.3.6.1.4.1.25053.3.1.4.66": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "SC8800-S"},
    "1.3.6.1.4.1.25053.3.1.4.67": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R300"},
    "1.3.6.1.4.1.25053.3.1.4.68": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R700"},
    "1.3.6.1.4.1.25053.3.1.4.69": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R710"},
    "1.3.6.1.4.1.25053.3.1.4.7": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7761CM"},
    "1.3.6.1.4.1.25053.3.1.4.70": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R500E"},
    "1.3.6.1.4.1.25053.3.1.4.71": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R500"},
    "1.3.6.1.4.1.25053.3.1.4.72": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R600"},
    "1.3.6.1.4.1.25053.3.1.4.74": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T300"},
    "1.3.6.1.4.1.25053.3.1.4.75": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T300E"},
    "1.3.6.1.4.1.25053.3.1.4.76": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T301N"},
    "1.3.6.1.4.1.25053.3.1.4.77": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T301S"},
    "1.3.6.1.4.1.25053.3.1.4.78": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "H500"},
    "1.3.6.1.4.1.25053.3.1.4.79": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "C500"},
    "1.3.6.1.4.1.25053.3.1.4.8": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7762-S"},
    "1.3.6.1.4.1.25053.3.1.4.80": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T504"},
    "1.3.6.1.4.1.25053.3.1.4.81": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "P300"},
    "1.3.6.1.4.1.25053.3.1.4.85": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "FZM300"},
    "1.3.6.1.4.1.25053.3.1.4.86": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "FZP300"},
    "1.3.6.1.4.1.25053.3.1.4.88": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R310"},
    "1.3.6.1.4.1.25053.3.1.4.9": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZF7762-T"},
    "1.3.6.1.4.1.25053.3.1.4.90": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T710"},
    "1.3.6.1.4.1.25053.3.1.4.91": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R510"},
    "1.3.6.1.4.1.25053.3.1.4.92": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "H510"},
    "1.3.6.1.4.1.25053.3.1.4.93": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "H320"},
    "1.3.6.1.4.1.25053.3.1.4.94": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "E510"},
    "1.3.6.1.4.1.25053.3.1.4.95": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "C110"},
    "1.3.6.1.4.1.25053.3.1.4.96": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "CMM310"},
    "1.3.6.1.4.1.25053.3.1.4.97": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T811CM"},
    "1.3.6.1.4.1.25053.3.1.4.99": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "T610S"},
    "1.3.6.1.4.1.25053.3.1.5.1": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZD1000"},
    "1.3.6.1.4.1.25053.3.1.5.15": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "R320"},
    "1.3.6.1.4.1.25053.3.1.5.2": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZD1100"},
    "1.3.6.1.4.1.25053.3.1.5.3": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZD3000"},
    "1.3.6.1.4.1.25053.3.1.5.8": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZD5000"},
    "1.3.6.1.4.1.25053.3.1.5.9": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "ZD6000"},
    "1.3.6.1.4.1.25053.3.1.8": {"manufacturer": "Ruckus", "platform": "ruckus_fastiron", "model": "FLEXMASTER AGENT"},
}
